summaryrefslogtreecommitdiffstats
path: root/games/ioquake3
diff options
context:
space:
mode:
author M.Dinslage <daedra1980@gmail.com>2010-06-12 18:20:42 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-06-12 22:14:27 -0500
commit821db32d5590c3359da50e4702016bc305e03489 (patch)
treec851a2761b26b4206591c75ebae8377ffaea15a0 /games/ioquake3
parentacfdd21ebb34c31b614120aead2fca282817fadd (diff)
downloadslackbuilds-821db32d5590c3359da50e4702016bc305e03489.tar.gz
slackbuilds-821db32d5590c3359da50e4702016bc305e03489.tar.xz
games/ioquake3: Added (open source Quake 3 distribution)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'games/ioquake3')
-rw-r--r--games/ioquake3/README17
-rw-r--r--games/ioquake3/doinst.sh4
-rw-r--r--games/ioquake3/ioquake3.SlackBuild91
-rw-r--r--games/ioquake3/ioquake3.desktop9
-rw-r--r--games/ioquake3/ioquake3.info12
-rw-r--r--games/ioquake3/launcher.ioquake33
-rw-r--r--games/ioquake3/quake3.pngbin0 -> 7481 bytes
-rw-r--r--games/ioquake3/slack-desc19
8 files changed, 155 insertions, 0 deletions
diff --git a/games/ioquake3/README b/games/ioquake3/README
new file mode 100644
index 0000000000..7a5af5940d
--- /dev/null
+++ b/games/ioquake3/README
@@ -0,0 +1,17 @@
+ioquake3 (An open source Quake 3 distribution)
+
+ioquake3 aims to build upon id Software's Quake 3 source code
+release. The source code was released on August 20, 2005 under the
+GPL. Since then code has been cleaned up, bugs have been fixed and
+features been added. The permanent goal is to create THE open source
+Quake 3 distribution upon which people base their games and projects.
+
+The buildscript has and option to enable support for multi-core
+CPU's, to enable this feature pass SMP=YES to the scrip.
+
+This requires OpenAL.
+
+NOTE: ioquake3 is just a source code engine port. You still need the
+original game files to play quake3. For us this means we need one file
+from the original CD. The file you need is [cdrom]/Quake3/baseq3/pak0.pk3
+Copy this file to the /usr/share/games/quake3/baseq3 directory.
diff --git a/games/ioquake3/doinst.sh b/games/ioquake3/doinst.sh
new file mode 100644
index 0000000000..392c12adb9
--- /dev/null
+++ b/games/ioquake3/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
diff --git a/games/ioquake3/ioquake3.SlackBuild b/games/ioquake3/ioquake3.SlackBuild
new file mode 100644
index 0000000000..352506c85c
--- /dev/null
+++ b/games/ioquake3/ioquake3.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for ioquake3
+
+# Written by M.Dinslage contact: daedra1980@gmail.com
+
+PRGNAM=ioquake3
+VERSION=r1785
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+# Changing this to BARCH since we want the Makefile building
+# the binaries as close to the binary releases as possible.
+if [ -z "$BARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export BARCH=i486 ;;
+ arm*) export BARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export BARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+
+if [ "${SMP:-NO}" = "NO" ]; then
+ SMPOPT="0"
+else
+ SMPOPT="1"
+fi
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+#Disable use of own CFLAGS, we will use defaults since we
+#want to be as close to the binary releases as possible
+#CFLAGS="$SLKCFLAGS" \
+#CXXFLAGS="$SLKCFLAGS" \
+
+make release copyfiles USE_CODEC_VORBIS=1 BUILD_CLIENT_SMP=$SMPOPT COPYDIR="$PKG"/usr/share/games/quake3 || exit 1
+
+# update quake3 files to newest point release (1.32)
+unzip $CWD/quake3-latest-pk3s.zip
+cp quake3-latest-pk3s/baseq3/*.pk3 $PKG/usr/share/games/quake3/baseq3
+cp quake3-latest-pk3s/missionpack/*.pk3 $PKG/usr/share/games/quake3/missionpack
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cat $CWD/quake3.png > $PKG/usr/share/pixmaps/quake3.png
+
+# Add launcher
+mkdir $PKG/usr/games
+cat $CWD/launcher.ioquake3 > $PKG/usr/games/ioquake3
+chmod 0755 $PKG/usr/games/ioquake3
+
+# For some reason the installer doesn't seem to want to copy SMP executable
+# so we take care of it outselves :). Also lets change the .desktop file to
+# launch the SMP version
+if [ "${SMP:-NO}" = "NO" ]; then
+ SMP=""
+else
+ cp $TMP/$PRGNAM/build/release-linux-*/ioquake3-smp.* $PKG/usr/share/games/quake3
+ sed -i 's,ioquake3.*,ioquake3-smp.*,g' $PKG/usr/games/ioquake3
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a BUGS ChangeLog NOTTODO README TODO id-readme.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$BARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/ioquake3/ioquake3.desktop b/games/ioquake3/ioquake3.desktop
new file mode 100644
index 0000000000..33a80df266
--- /dev/null
+++ b/games/ioquake3/ioquake3.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Quake III
+GenericName=ioquake3 port of Idsoftware's Quake3
+Exec=ioquake3
+Terminal=false
+Type=Application
+Categories=Game;Emulator;
+Icon=quake3
+StartupNotify=false
diff --git a/games/ioquake3/ioquake3.info b/games/ioquake3/ioquake3.info
new file mode 100644
index 0000000000..1636196099
--- /dev/null
+++ b/games/ioquake3/ioquake3.info
@@ -0,0 +1,12 @@
+PRGNAM="ioquake3"
+VERSION="r1785"
+HOMEPAGE="http://ioquake3.org/"
+DOWNLOAD="http://webpages.charter.net/daedra1/ioquake3-r1785.tar.gz \
+ http://files.dirker.org/quake3/quake3-latest-pk3s.zip"
+MD5SUM="89db1a10966cd504d627de9d822159f8 \
+ 308929f1a6b7068c9912c0759e3b0695"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="M.Dinslage"
+EMAIL="daedra1980@gmail.com"
+APPROVED="rworkman"
diff --git a/games/ioquake3/launcher.ioquake3 b/games/ioquake3/launcher.ioquake3
new file mode 100644
index 0000000000..35f700f848
--- /dev/null
+++ b/games/ioquake3/launcher.ioquake3
@@ -0,0 +1,3 @@
+#!/bin/sh
+cd /usr/share/games/quake3
+exec ./ioquake3.*
diff --git a/games/ioquake3/quake3.png b/games/ioquake3/quake3.png
new file mode 100644
index 0000000000..c40434695d
--- /dev/null
+++ b/games/ioquake3/quake3.png
Binary files differ
diff --git a/games/ioquake3/slack-desc b/games/ioquake3/slack-desc
new file mode 100644
index 0000000000..90ad7e8a62
--- /dev/null
+++ b/games/ioquake3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ioquake3: ioquake3 (An open source Quake 3 distribution)
+ioquake3:
+ioquake3: ioquake3 aims to build upon id Software's Quake 3 source code
+ioquake3: release. The source code was released on August 20, 2005 under the
+ioquake3: GPL. Since then code has been cleaned up, bugs have been fixed and
+ioquake3: features been added. The permanent goal is to create THE open source
+ioquake3: Quake 3 distribution upon which people base their games and projects.
+ioquake3:
+ioquake3: Home: http://ioquake3.org/
+ioquake3:
+ioquake3: